record(1)

NAME
record - records *.wav files

SYNOPSIS
record [ options ]

DESCRIPTION
record records *.wav files in CD quality (i.e. 44100 Hz, 16bit, stereo). It has a input level meter, which might be useful for sound trouble shooting (check if the mixer settings ok for recording from the TV card etc.)

OPTIONS

-h  display help text

-o file
    basename for the output file(s), a number and the .wav extension are added by record. Default is "record".

-i dev
    mixer control. This should be the one where you can adjust the record level for your audio source. Default is "line". "mic" and "igain" are good candidates too. Best way to figure is to start your favorite mixer tool and check out which one works ...

-m dev
    set mixer device. Default is "/dev/mixer".

-d dev
    set audio device. Default is "/dev/dsp".

-r rate
    set sample rate. Default is 44100.

-p sec
    peak seconds (number of seconds which should be scanned for the volume maximum). This affects both peak level display and level triggered recording (see below). Default is 1.5 seconds.

record can also be used non-interactive:

-c  enable console (non-interactive) mode.

-v  be verbose (console mode only).

-t mm:ss
    Limit the record time (console mode only). By default record records until stopped by a signal (by typing ^C for example).

-s size
    Limit the file size (console mode only). record will continue with a new file once the limit is reached.

-n num
    Limit the file count (console mode only). record will stop recording after num files.

-l  Enable level triggered recording (console mode only) with the default trigger level (1000).

-L level
    Enable level triggered recording with the specified trigger level.

If level triggered recording is active, record will start and stop recording depending on the signal strength. Recording will be started if the signal strength is above the trigger level (1000/32768 => around 3%). Recording will be stopped if the signal is below the trigger level for some time (1.5 seconds by default, the -p switch changes this).

AUTHOR
Gerd Knorr <kraxel@bytesex.org>